Bug 995214 - (kde-dev-scripts) Review Request: kde-dev-scripts - KDE SDK scripts
Review Request: kde-dev-scripts - KDE SDK scripts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-08-08 14:50 EDT by Jan Grulich
Modified: 2013-08-22 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 08:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbriza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-08-08 14:50:06 EDT
Spec URL: http://jgrulich.fedorapeople.org/kde-dev-scripts.spec
SRPM URL: http://jgrulich.fedorapeople.org/kde-dev-scripts-4.10.97-1.fc19.src.rpm
Description: KDE SDK scripts
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5795458

This package was previously part of kdesdk. Now it's distributed separately in KDE 4.11.
Comment 1 Martin Bříza 2013-08-21 08:25:45 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find krazy-licensecheck in rpm(s)
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (unversioned/unknown version) GPL (v2.1 or later) LGPL (v2.1 or
     later)", "GPL (v2 or later)", "Unknown or generated", "*No copyright*
     Public domain", "BSD (3 clause)", "BSD (2 clause)". 77 files have unknown
     license. Detailed output of licensecheck in /home/mbriza/995214-kde-dev-
     scripts/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kde-dev-scripts-4.10.97-1.fc20.noarch.rpm
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnbackport
kde-dev-scripts.noarch: W: no-manual-page-for-binary fixuifiles
kde-dev-scripts.noarch: W: no-manual-page-for-binary makeobj
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdemangen.pl
kde-dev-scripts.noarch: W: no-manual-page-for-binary wcgrep
kde-dev-scripts.noarch: W: no-manual-page-for-binary noncvslist
kde-dev-scripts.noarch: W: no-manual-page-for-binary fixkdeincludes
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsforwardport
kde-dev-scripts.noarch: W: no-manual-page-for-binary png2mng.pl
kde-dev-scripts.noarch: W: no-manual-page-for-binary draw_lib_dependencies
kde-dev-scripts.noarch: W: no-manual-page-for-binary svngettags
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvs-clean
kde-dev-scripts.noarch: W: no-manual-page-for-binary findmissingcrystal
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdedoc
kde-dev-scripts.noarch: W: no-manual-page-for-binary build-progress.sh
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnversions
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnchangesince
kde-dev-scripts.noarch: W: no-manual-page-for-binary nonsvnlist
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnrevertlast
kde-dev-scripts.noarch: W: no-manual-page-for-binary extractattr
kde-dev-scripts.noarch: W: no-manual-page-for-binary package_crystalsvg
kde-dev-scripts.noarch: W: no-manual-page-for-binary colorsvn
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdekillall
kde-dev-scripts.noarch: W: no-manual-page-for-binary svn-clean
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnforwardport
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsblame
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsaddcurrentdir
kde-dev-scripts.noarch: W: no-manual-page-for-binary create_svnignore
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnlastlog
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnlastchange
kde-dev-scripts.noarch: W: no-manual-page-for-binary kde-systemsettings-tree.py
kde-dev-scripts.noarch: W: no-manual-page-for-binary fix-include.sh
kde-dev-scripts.noarch: W: no-manual-page-for-binary krazy-licensecheck
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsversion
kde-dev-scripts.noarch: W: no-manual-page-for-binary kde_generate_export_header
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnintegrate
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsbackport
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdelnk2desktop.py
kde-dev-scripts.noarch: W: no-manual-page-for-binary optimizegraphics
kde-dev-scripts.noarch: W: no-manual-page-for-binary includemocs
1 packages and 0 specfiles checked; 0 errors, 40 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kde-dev-scripts
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnbackport
kde-dev-scripts.noarch: W: no-manual-page-for-binary fixuifiles
kde-dev-scripts.noarch: W: no-manual-page-for-binary makeobj
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdemangen.pl
kde-dev-scripts.noarch: W: no-manual-page-for-binary wcgrep
kde-dev-scripts.noarch: W: no-manual-page-for-binary noncvslist
kde-dev-scripts.noarch: W: no-manual-page-for-binary fixkdeincludes
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsforwardport
kde-dev-scripts.noarch: W: no-manual-page-for-binary png2mng.pl
kde-dev-scripts.noarch: W: no-manual-page-for-binary draw_lib_dependencies
kde-dev-scripts.noarch: W: no-manual-page-for-binary svngettags
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvs-clean
kde-dev-scripts.noarch: W: no-manual-page-for-binary findmissingcrystal
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdedoc
kde-dev-scripts.noarch: W: no-manual-page-for-binary build-progress.sh
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnversions
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnchangesince
kde-dev-scripts.noarch: W: no-manual-page-for-binary nonsvnlist
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnrevertlast
kde-dev-scripts.noarch: W: no-manual-page-for-binary extractattr
kde-dev-scripts.noarch: W: no-manual-page-for-binary package_crystalsvg
kde-dev-scripts.noarch: W: no-manual-page-for-binary colorsvn
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdekillall
kde-dev-scripts.noarch: W: no-manual-page-for-binary svn-clean
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnforwardport
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsblame
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsaddcurrentdir
kde-dev-scripts.noarch: W: no-manual-page-for-binary create_svnignore
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnlastlog
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnlastchange
kde-dev-scripts.noarch: W: no-manual-page-for-binary kde-systemsettings-tree.py
kde-dev-scripts.noarch: W: no-manual-page-for-binary fix-include.sh
kde-dev-scripts.noarch: W: no-manual-page-for-binary krazy-licensecheck
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsversion
kde-dev-scripts.noarch: W: no-manual-page-for-binary kde_generate_export_header
kde-dev-scripts.noarch: W: no-manual-page-for-binary svnintegrate
kde-dev-scripts.noarch: W: no-manual-page-for-binary cvsbackport
kde-dev-scripts.noarch: W: no-manual-page-for-binary kdelnk2desktop.py
kde-dev-scripts.noarch: W: no-manual-page-for-binary optimizegraphics
kde-dev-scripts.noarch: W: no-manual-page-for-binary includemocs
1 packages and 0 specfiles checked; 0 errors, 40 warnings.
# echo 'rpmlint-done:'



Requires
--------
kde-dev-scripts (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    /usr/bin/perl
    advancecomp
    optipng
    perl(Cwd)
    perl(Data::Dumper)
    perl(Env)
    perl(File::Basename)
    perl(File::Find)
    perl(File::Path)
    perl(File::Spec::Functions)
    perl(Getopt::Long)
    perl(IPC::Open3)
    perl(POSIX)
    perl(Pod::Usage)
    perl(Term::ANSIColor)
    perl(Time::Local)
    perl(XML::DOM)
    perl(constant)
    perl(strict)
    perl(warnings)



Provides
--------
kde-dev-scripts:
    kde-dev-scripts
    kdesdk-scripts



Source checksums
----------------
http://download.kde.org/unstable/4.10.97/src/kde-dev-scripts-4.10.97.tar.xz :
  CHECKSUM(SHA256) this package     : da1db699ac32df4cb5cb34ac395acb42a5cb1d723f7690332cd1ecd4b61a141f
  CHECKSUM(SHA256) upstream package : da1db699ac32df4cb5cb34ac395acb42a5cb1d723f7690332cd1ecd4b61a141f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 995214 -m fedora-rawhide-x86_64
Comment 2 Martin Bříza 2013-08-21 08:30:15 EDT
APPROVED

Notes:

> Issues:
> =======
> - If (and only if) the source package includes the text of the license(s) in
>   its own file, then that file, containing the text of the license(s) for the
>   package is included in %doc.
>   Note: Cannot find krazy-licensecheck in rpm(s)
>   See:
> http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Invalid. Looking for "license" in filenames isn't really looking for licenses.

> Rpmlint (installed packages)
> ...

Not important.
Comment 3 Jan Grulich 2013-08-21 13:51:03 EDT
New Package SCM Request
=======================
Package Name: kde-dev-scripts
Short Description: KDE SDK scripts
Owners: than rdieter kkofler ltinkl jgrulich mbriza
Branches: f18 f19 f20
InitialCC:
Comment 4 Kevin Kofler 2013-08-21 14:02:29 EDT
I see krazy-licensecheck is included in this package. We intentionally omitted that script from kdesdk packaging because it requires krazy2 to do the actual work, we included the script in the krazy2 package instead. If you ship this file here, you cause a file conflict. (By the way, krazy2 could use upgrading to a newer snapshot, it's almost 3 years old. I did a really bad job at keeping that up to date. :-( Any help welcome.)
Comment 5 Jan Grulich 2013-08-22 01:18:53 EDT
Ok, I'll remove krazy-licensecheck, thanks.
Comment 6 Gwyn Ciesla 2013-08-22 08:18:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.